import React, { useEffect } from 'react'
import { Switch } from 'antd'

const IsHidden = (props) => {

  const { value, onChange, addons } = props

  const switchChange = (checked) => {
    if (addons) {
      onChange(checked)
      if (checked) {
        addons.setValue('hiddenCondition', '1=1')
        addons.setValue('hiddenRules', [])
      } else {
        addons.setValue('hiddenCondition', '')
        addons.setValue('hiddenRules', [])
      }
    }
  }

  return (
    <Switch
      checked={value}
      checkedChildren={'隐藏'}
      unCheckedChildren={'显示'}
      onChange={switchChange}
    >
    </Switch>
  )

}

export default IsHidden